<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Entities\Udalost;

use Spatie\Enum\Laravel\Enum;

/**
 * Class StavUpozornenia
 *
 * @method static self POVOLENE()
 * @method static self NEPOVOLENE()
 *
 * @package Seka\Portal\Modul\Terminy\Entities\Udalost
 */
final class StavUpozornenia extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'POVOLENE' => 'povoliť',
            'NEPOVOLENE' => 'nepovoliť',
        ];
    }

    /**
     * @return string
     */
    public function color(): string
    {
        switch ($this->value) {
            case 'POVOLENE':
                return '#c0d1d8';
            default:
                return '#efe1e6';
        }
    }
}
